net.sf.jasperreports.components.barcode4j

## Class FourStateBarcodeComponent

- java.lang.Object
- - net.sf.jasperreports.components.barcode4j.BarcodeComponent
  - - net.sf.jasperreports.components.barcode4j.FourStateBarcodeComponent

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, Component, JRChangeEventsSupport, JRCloneable
  Direct Known Subclasses:
    RoyalMailCustomerComponent, USPSIntelligentMailComponent

      public abstract class FourStateBarcodeComponent
      extends BarcodeComponent

  Version:
    $Id: FourStateBarcodeComponent.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_ASCENDER_HEIGHT`
    `static java.lang.String` | `PROPERTY_CHECKSUM_MODE`
    `static java.lang.String` | `PROPERTY_INTERCHAR_GAP_WIDTH`
    `static java.lang.String` | `PROPERTY_TRACK_HEIGHT`

    - ### Fields inherited from class net.sf.jasperreports.components.barcode4j.BarcodeComponent

      `ORIENTATION_DOWN, ORIENTATION_LEFT, ORIENTATION_RIGHT, ORIENTATION_UP, PROPERTY_CODE_EXPRESSION, PROPERTY_EVALUATION_GROUP, PROPERTY_EVALUATION_TIME, PROPERTY_MODULE_WIDTH, PROPERTY_ORIENTATION, PROPERTY_PATTERN_EXPRESSION, PROPERTY_PREFIX, PROPERTY_QUIET_ZONE, PROPERTY_TEXT_POSITION, PROPERTY_VERTICAL_QUIET_ZONE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FourStateBarcodeComponent()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Double` | `getAscenderHeight()`
    `java.lang.String` | `getChecksumMode()`
    `java.lang.Double` | `getIntercharGapWidth()`
    `java.lang.Double` | `getTrackHeight()`
    `void` | `setAscenderHeight(java.lang.Double ascenderHeight)`
    `void` | `setChecksumMode(org.krysalis.barcode4j.ChecksumMode checksumMode)`
    `void` | `setChecksumMode(java.lang.String checksumMode)`
    `void` | `setIntercharGapWidth(java.lang.Double intercharGapWidth)`
    `void` | `setTrackHeight(java.lang.Double trackHeight)`

    - ### Methods inherited from class net.sf.jasperreports.components.barcode4j.BarcodeComponent

      `clone, cloneObject, getCodeExpression, getEvaluationGroup, getEvaluationTimeValue, getEventSupport, getModuleWidth, getOrientation, getPatternExpression, getQuietZone, getTextPosition, getVerticalQuietZone, receive, setCodeExpression, setEvaluationGroup, setEvaluationTimeValue, setModuleWidth, setOrientation, setPatternExpression, setQuietZone, setTextPosition, setTextPosition, setVerticalQuietZone`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_ASCENDER_HEIGHT

          public static final java.lang.String PROPERTY_ASCENDER_HEIGHT

      See Also:
        Constant Field Values

    - #### PROPERTY_CHECKSUM_MODE

          public static final java.lang.String PROPERTY_CHECKSUM_MODE

      See Also:
        Constant Field Values

    - #### PROPERTY_INTERCHAR_GAP_WIDTH

          public static final java.lang.String PROPERTY_INTERCHAR_GAP_WIDTH

      See Also:
        Constant Field Values

    - #### PROPERTY_TRACK_HEIGHT

          public static final java.lang.String PROPERTY_TRACK_HEIGHT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FourStateBarcodeComponent

          public FourStateBarcodeComponent()

  - ### Method Detail

    - #### getAscenderHeight

          public java.lang.Double getAscenderHeight()

    - #### setAscenderHeight

          public void setAscenderHeight(java.lang.Double ascenderHeight)

    - #### getChecksumMode

          public java.lang.String getChecksumMode()

    - #### setChecksumMode

          public void setChecksumMode(java.lang.String checksumMode)

    - #### setChecksumMode

          public void setChecksumMode(org.krysalis.barcode4j.ChecksumMode checksumMode)

    - #### getIntercharGapWidth

          public java.lang.Double getIntercharGapWidth()

    - #### setIntercharGapWidth

          public void setIntercharGapWidth(java.lang.Double intercharGapWidth)

    - #### getTrackHeight

          public java.lang.Double getTrackHeight()

    - #### setTrackHeight

          public void setTrackHeight(java.lang.Double trackHeight)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com